package com.bankaudit.rest.process.service;

import java.util.List;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.process.model.TaskDetails;

public interface TaskDetailsService {
	
	DataTableResponse  getAssessmentsWithAdviceClosure(int legalEntityCode,String userId, String search,Integer orderColumn,
			String orderDirection, Integer page, Integer size, String role);
	
	DataTableResponse  getTaskListAssessmentWise(int legalEntityCode,String planId,String auditId, String userId, String search,Integer orderColumn,
			String orderDirection, Integer page, Integer size);
	
	
	public List<TaskDetails> getTaskDetails(Integer legalEntityCode, String auditId, String observationId, String recStatus);
	
	TaskDetails getTaskById(Integer legalEntityCode,String id, String auditId, String observationId, String status);
	
	void updateTaskDetails(TaskDetails taskDetails);
	
	void deleteUnauthRejTaskDetails(TaskDetails taskDetails);
}
